/**********************************************************
***********************************************************
*               European Southern Observatory
*          VLTI MIDI Maintenance Templates Software
*
* Module name:  createProdDspTrn.h
* Description:  
*
*
* History:      
* 14-Jun-04     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _CREATE_PROD_DSP_TRN_H
#define _CREATE_PROD_DSP_TRN_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Enumeration definitions
**********************************************************/

/**********************************************************
*   Type definitions 
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void createDspTrnProd (
    MidiFiles   	*fileNames,
    ImageFormat		*format,
    DispersiveTrans	*transmission,
    int			*error);

void createDspTrnPrimHead (
    MidiFiles   	*fileNames,
    ImageFormat		*format,
    int			arraySize,
    DispersiveTrans	*transmission,
    int			*error);

void createDspTrnQcLog (
    char *inFitsName,
    int	 *error);

void addProdInfoToDspTrnQcLog (
    ImageFormat	    *format,
    MidiFiles	    *fileNames,
    DispersiveTrans *transmission,
    int	            *error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

