/**********************************************************
***********************************************************
*               European Southern Observatory
*          VLTI MIDI Maintenance Templates Software
*
* Module name:  fitsAnalysisFrgSP.h
* Description:  
*
*
* History:      
* 09-Dec-05     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _FITS_ANALYSIS_FRG_SP_H
#define _FITS_ANALYSIS_FRG_SP_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Enumeration definitions
**********************************************************/

/**********************************************************
*   Type definitions 
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void analyseFitsFrgSP (
    MidiFiles	*fileNames,
    ImageFormat	*formatInterf,
    ImageFormat	*formatPhotomA,
    ImageFormat	*formatPhotomB,
    int			*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

